org.fourthline.cling.support.model

## Class MediaInfo

- java.lang.Object
- - org.fourthline.cling.support.model.MediaInfo

-     public class MediaInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaInfo()`
    `MediaInfo(Map<String,ActionArgumentValue> args)`
    `MediaInfo(String currentURI, String currentURIMetaData)`
    `MediaInfo(String currentURI, String currentURIMetaData, String nextURI, String nextURIMetaData, UnsignedIntegerFourBytes numberOfTracks, String mediaDuration, StorageMedium playMedium)`
    `MediaInfo(String currentURI, String currentURIMetaData, String nextURI, String nextURIMetaData, UnsignedIntegerFourBytes numberOfTracks, String mediaDuration, StorageMedium playMedium, StorageMedium recordMedium, RecordMediumWriteStatus writeStatus)`
    `MediaInfo(String currentURI, String currentURIMetaData, UnsignedIntegerFourBytes numberOfTracks, String mediaDuration, StorageMedium playMedium)`
    `MediaInfo(String currentURI, String currentURIMetaData, UnsignedIntegerFourBytes numberOfTracks, String mediaDuration, StorageMedium playMedium, StorageMedium recordMedium, RecordMediumWriteStatus writeStatus)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCurrentURI()`
    `String` | `getCurrentURIMetaData()`
    `String` | `getMediaDuration()`
    `String` | `getNextURI()`
    `String` | `getNextURIMetaData()`
    `UnsignedIntegerFourBytes` | `getNumberOfTracks()`
    `StorageMedium` | `getPlayMedium()`
    `StorageMedium` | `getRecordMedium()`
    `RecordMediumWriteStatus` | `getWriteStatus()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaInfo

          public MediaInfo()

    - #### MediaInfo

          public MediaInfo(Map<String,ActionArgumentValue> args)

    - #### MediaInfo

          public MediaInfo(String currentURI,
                           String currentURIMetaData)

    - #### MediaInfo

          public MediaInfo(String currentURI,
                           String currentURIMetaData,
                           UnsignedIntegerFourBytes numberOfTracks,
                           String mediaDuration,
                           StorageMedium playMedium)

    - #### MediaInfo

          public MediaInfo(String currentURI,
                           String currentURIMetaData,
                           UnsignedIntegerFourBytes numberOfTracks,
                           String mediaDuration,
                           StorageMedium playMedium,
                           StorageMedium recordMedium,
                           RecordMediumWriteStatus writeStatus)

    - #### MediaInfo

          public MediaInfo(String currentURI,
                           String currentURIMetaData,
                           String nextURI,
                           String nextURIMetaData,
                           UnsignedIntegerFourBytes numberOfTracks,
                           String mediaDuration,
                           StorageMedium playMedium)

    - #### MediaInfo

          public MediaInfo(String currentURI,
                           String currentURIMetaData,
                           String nextURI,
                           String nextURIMetaData,
                           UnsignedIntegerFourBytes numberOfTracks,
                           String mediaDuration,
                           StorageMedium playMedium,
                           StorageMedium recordMedium,
                           RecordMediumWriteStatus writeStatus)

  - ### Method Detail

    - #### getCurrentURI

          public String getCurrentURI()

    - #### getCurrentURIMetaData

          public String getCurrentURIMetaData()

    - #### getNextURI

          public String getNextURI()

    - #### getNextURIMetaData

          public String getNextURIMetaData()

    - #### getNumberOfTracks

          public UnsignedIntegerFourBytes getNumberOfTracks()

    - #### getMediaDuration

          public String getMediaDuration()

    - #### getPlayMedium

          public StorageMedium getPlayMedium()

    - #### getRecordMedium

          public StorageMedium getRecordMedium()

    - #### getWriteStatus

          public RecordMediumWriteStatus getWriteStatus()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.